@import "../../style/variables";

.board-column-wrapper {
    display: flex;
    max-width: 100vw;
    overflow-x: auto;

    .board-column-container {
        display: flex;
        align-items: flex-start;
        padding: 0.875rem 0.3rem;
        margin: 0 auto;

        .board-column {
            overflow: hidden;
            width: 250px;
            max-width: calc(100vw - 1.5rem);
            flex-shrink: 0;
            border: 1px solid var(--tc-color);
            margin: 0 0.375rem;
            background-color: white;
            border-radius: $border-radius;

            .board-column-name {
                padding: 0.5rem 0.75rem;
                background-color: var(--tc-color);
                color: white;
                font-weight: bold;
            }

            .board-column-card-container {
                padding: 0.5rem 0.5rem 0 0.5rem;

                .board-card-add-button {
                    display: flex;
                    width: 100%;
                    height: 41px;
                    align-items: center;
                    justify-content: center;
                    border: 1px solid $border-color;
                    margin-bottom: 0.5rem;
                    background-color: $light;
                    border-radius: $border-radius;
                    cursor: pointer;
                    text-align: center;
                    transition: $transition-base;

                    &:hover {
                        border-color: var(--tc-color);
                    }
                }

                .board-card-add-input {
                    width: 100%;
                    padding: 0.25rem;
                    border: 1px solid $border-color;
                    margin-bottom: 0.5rem;
                    background-color: $light;
                    border-radius: $border-radius;
                    text-align: center;
                }

                .board-card {
                    border: 1px solid $border-color;
                    margin-bottom: 0.5rem;
                    background-color: $light;
                    border-radius: $border-radius;
                    color: $dark;
                    font-size: 0.95rem;
                    transition: border 0.2s;

                    .board-card-text {
                        padding: 0.5rem;
                    }

                    .board-card-footer {
                        display: flex;
                        align-items: center;
                        padding: 0.5rem;
                        border-top: 1px solid $border-color;
                        font-size: 0.8rem;

                        img {
                            margin: 0 2px;
                            border-radius: $border-radius;
                            cursor: pointer;

                            &:hover {
                                //Invert $primary color so that when it gets inverted my mix-blend-diffrence it's the right color again
                                background-color: subtract-color($primary, $light);
                                mix-blend-mode: difference;
                                //Only transition on hover
                                transition: $transition-base;
                            }
                        }

                        .board-card-delete {
                            padding: 2px;
                            margin-left: auto;

                            &:hover {
                                //Invert $danger color so that when it gets inverted my mix-blend-diffrence it's the right color again
                                background-color: subtract-color($danger, $light);
                                mix-blend-mode: difference;
                                //Only transition on hover
                                transition: $transition-base;
                            }
                        }
                    }
                }
            }
        }
    }
}
